Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision c097f02f7997a89ee4e6c800485b26dff4ff7ed5)
+++ sansview/perspectives/fitting/basepage.py	(revision fbf4bf85ad2dbf9cc01ea34e514c320c7d69028f)
@@ -1036,10 +1036,10 @@
                     name = model.name
                 combobox.Append(name,models)
-        try:
+        #try:
 
-            combobox.SetSelection(0)
-            
-        except:
-            pass
+            #combobox.SetSelection(0)
+            
+        #except:
+            #pass
     
         return 0
@@ -1070,5 +1070,9 @@
             self.model= MultiplicationModel(form_factor(),struct_factor())
         else:
-            self.model= form_factor()
+            if form_factor != None:
+                self.model= form_factor()
+            else:
+                self.model = None
+                return self.model
         
         ## post state to fit panel
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 34a0c17527bcb62f7a4708088d95d436070c0234)
+++ sansview/perspectives/fitting/fitpage.py	(revision fbf4bf85ad2dbf9cc01ea34e514c320c7d69028f)
@@ -49,5 +49,5 @@
         self._fill_model_sizer( self.sizer1)
         self._fill_range_sizer() 
-        self._on_select_model(event=None)
+        #self._on_select_model(event=None)
         if self.data !=None:
             self.smearer = smear_selection( self.data )
@@ -522,5 +522,9 @@
         """    
         self._on_select_model_helper() 
-        self.set_model_param_sizer(self.model)
+        if self.model == None:    
+            self.set_model_param_sizer(self.model)                   
+            return
+        else:
+            self.set_model_param_sizer(self.model)
         try:
             temp_smear= None
Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision cd793b9737b938170ce047b861e1045b676ef6fc)
+++ sansview/perspectives/fitting/fitpanel.py	(revision fbf4bf85ad2dbf9cc01ea34e514c320c7d69028f)
@@ -264,5 +264,5 @@
                 self.count +=1
             else:
-                self.model_page.select_model(model, page_title)
+                self.model_page.select_model(model)
                 self.fit_page_name[page_title].insert(0,self.model_page.createMemento())
       
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 27976fd0c59f7dcc5a00c2761e38479beef37bc2)
+++ sansview/perspectives/fitting/modelpage.py	(revision fbf4bf85ad2dbf9cc01ea34e514c320c7d69028f)
@@ -37,5 +37,5 @@
             description = self.model.description
             
-            self.select_model(self.model, self.model.name)
+            self.select_model(self.model)
             self.set_model_description(description,self.sizer2)
             
@@ -101,5 +101,6 @@
         """    
         self._on_select_model_helper() 
-        self.select_model(self.model, self.model.name)
+
+        self.select_model(self.model)
         
        
@@ -323,5 +324,5 @@
         
         
-    def select_model(self, model, name):
+    def select_model(self, model):
         """
             Select a new model
@@ -329,6 +330,8 @@
         """
         self.model = model
-        self.set_model_param_sizer(self.model)
-       
+        if self.model ==None:
+            self.set_model_param_sizer(self.model)
+            return 
+        self.set_model_param_sizer(self.model)  
         ## keep the sizer view consistent with the model menu selecting
         self._set_model_sizer_selection( self.model )
@@ -448,4 +451,6 @@
         if model ==None:
             ##no model avaiable to draw sizer 
+            self.sizer3.Layout()
+            self.SetScrollbars(20,20,200,100)
             return
         box_description= wx.StaticBox(self, -1,str("Model Parameters"))
